gio.DataOutputStream
Prev | PyGio Class Reference | Next

## gio.DataOutputStream

gio.DataOutputStream — Data Output Stream

## Synopsis

    class gio.DataOutputStream(gio.BufferedOutputStream):
        gio.DataOutputStream(base_stream)
        def get_byte_order()
        def put_byte(cancellable=None)
        def put_int16(cancellable=None)
        def put_int32(cancellable=None)
        def put_int64(cancellable=None)
        def put_string(cancellable=None)
        def put_uint16(cancellable=None)
        def put_uint32(cancellable=None)
        def put_uint64(cancellable=None)
        def set_byte_order(order)

## Ancestry

    +-- gobject.GObject
      +-- gio.OutputStream
        +-- gio.FilterOutputStream
          +-- gio.BufferedOutputStream
            +-- gio.DataOutputStream

## gio.DataOutputStream Properties

"byte-order" | Read - Write | Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream. Default value: gio.DATA_STREAM_BYTE_ORDER_BIG_ENDIAN.

## Description

`gio.DataOutputStream` implements `gio.InputStream` and includes functions for writing data directly to an output stream.

## Constructor

        gio.DataOutputStream(base_stream)

`base_stream` : | a `gio.OutputStream`.
Returns : | a new `gio.DataOutputStream`

Creates a new `gio.DataOutputStream` from the given base_stream.

## Methods

### gio.DataOutputStream.get_byte_order

        def get_byte_order()

Returns : | the stream's current Gio Data Stream Byte Order Constants.

The `get_byte_order`() method gets the byte order for the stream.

### gio.DataOutputStream.put_byte

        def put_byte(data, cancellable=None)

`data` : | a char.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_byte`() method puts a byte into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_int16

        def put_int16(data, cancellable=None)

`data` : | a gint16.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_int16`() method puts a signed 16-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_int32

        def put_int32(data, cancellable=None)

`data` : | a gint32.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_int32`() method puts a signed 32-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_int64

        def put_int64(data, cancellable=None)

`data` : | a gint64.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_int64`() method puts a signed 64-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_string

        def put_string(str, cancellable=None)

`str` : | a string.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if string was successfully added to the stream.

The `put_string`() method puts a string into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_uint16

        def put_uint16(data, cancellable=None)

`data` : | a guint16.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_uint16`() method puts an unsigned 16-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_uint32

        def put_uint32(data, cancellable=None)

`data` : | a guint32.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_uint32`() method puts an unsigned 32-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.put_uint64

        def put_uint64(data, cancellable=None)

`data` : | a guint64.
`cancellable` : | optional `gio.Cancellable` object, `None` to ignore.
Returns : | `True` if data was successfully added to the stream.

The `put_uint64`() method puts an unsigned 64-bit integer into the output stream.

If cancellable is not `None`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error gio.ERROR_CANCELLED will be returned.

### gio.DataOutputStream.set_byte_order

        def set_byte_order(order)

`order` : | a Gio Data Stream Byte Order Constants to set.

The `set_byte_order`() method sets the byte order for the given stream. All subsequent reads from the stream will be read in the given order.

Prev | Up | Next
gio.DataInputStream | Home | gio.Drive